{"id":61448,"date":"2024-03-11T10:43:57","date_gmt":"2024-03-11T10:43:57","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=61448"},"modified":"2024-04-23T16:23:07","modified_gmt":"2024-04-23T15:23:07","slug":"task-execution-based-containment-report-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/task-execution-based-containment-report-api\/","title":{"rendered":"Task Execution-Based Containment Report API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p><span style=\"font-weight: 400;\">This task-wise Containment Report offers a comparative analysis of the impact of task executions on overall containment. It breaks down task-wise successes and failures by containment type, including Drop-off, Self-service, and Agent Hand-off, providing a detailed overview for better understanding and decision-making.<\/span><\/p>\n<table>\n<tbody>\n<tr>\n<td><strong>Method<\/strong><\/td>\n<td>POST and GET<\/td>\n<\/tr>\n<tr>\n<td><strong>Endpoint<\/strong><\/td>\n<td><span style=\"font-weight: 400;\">It\u2019s a combination of POST and GET methods. The POST method is used to set the filters and the GET method is used to fetch data as per the set filters.<\/span><\/p>\n<p><span style=\"font-weight: 400;\"><strong>Post Method<\/strong>: Set filters. The response contains the API Response ID (\u201c<em>_id<\/em>\u201d)<\/span><br \/>\n<code>https:\/\/{{host}}\/api\/public\/bot\/{{botID}}\/taskContainmentReport<\/code><\/p>\n<p><span style=\"font-weight: 400;\"><strong>Get Method<\/strong>: Use the API Response ID (\u201c<em>_id<\/em>\u201d) to get data as per the set filters.\u00a0\u00a0<\/span><br \/>\n<code><span style=\"font-weight: 400;\">https:\/\/{{host}}\/api\/public\/bot\/{{botID}}\/taskContainmentReport\/status\/{{<\/span><b>_id<\/b><span style=\"font-weight: 400;\">}}<\/span><\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Content Type<\/strong><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Authorization<\/strong><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" target=\"_blank\" rel=\"noopener noreferrer\">How to generate the JWT Token.<\/a><\/td>\n<\/tr>\n<tr>\n<td><strong>API Scope<\/strong><\/td>\n<td>\n<ul>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">Bot Builder: <\/span><span style=\"font-weight: 400;\">Metrics<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">Admin Console: Not Applicable<\/span><\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae8707d3adab\" data-id=\"6ae8707d3adab\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Required\/Optional<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Required<\/td>\n<td>Environment URL. For example, <code>https:\/\/bots.kore.ai<\/code><\/td>\n<\/tr>\n<tr>\n<td>BotID<\/td>\n<td>Required<\/td>\n<td>Bot ID or Stream ID can be accessed from the <strong>General Settings<\/strong> page of the virtual assistant.<\/td>\n<\/tr>\n<tr>\n<td>_id<\/td>\n<td>Required (only for GET)<\/td>\n<td>The API Response ID returned by the POST method in the response object; Use it in the GET method to get data as per the set filters via the POST method.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae8707d3af0b\" data-id=\"6ae8707d3af0b\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request_for_the_POST_Method\">Sample Request for the POST Method<\/span><\/h2>\n<p><span style=\"font-weight: 400;\">The following sample request shows how to retrieve task-execution based<\/span><span style=\"font-weight: 400;\"> analytics data for different containment types with specific filters. You can modify the <\/span><i><span style=\"font-weight: 400;\">type<\/span><\/i><span style=\"font-weight: 400;\"> and <\/span><i><span style=\"font-weight: 400;\">filters<\/span><\/i><span style=\"font-weight: 400;\"> parameters to retrieve different types of analytics data as needed.<\/span><\/p>\n<pre class=\"code-limit-200px\">curl --location 'https:\/\/prod-bots.korebots.com\/api\/public\/bot\/st-8xxxxxxc-cxx2-5xxf-axx5-9xxxxxxxxxxb\/taskContainmentReport' \\\r\n--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n--header 'Content-Type: application\/json' \\\r\n--data '{\r\n    \"filters\": {\r\n        \"dateFrom\": \"2024-04-22\",\r\n        \"dateTo\": \"2024-04-30T00:00:00.000Z\",\r\n        \"ConversationStatus\": \"Active\",\r\n        \"ConversationType\": \"Interactive\",\r\n        \"AggregationType\": \"Daily\"\r\n    }\r\n}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae8707d3afe1\" data-id=\"6ae8707d3afe1\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Request_Body_Parameters\">Request Body Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Required\/Optional<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">dateFrom<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Optional<\/span><\/td>\n<td>\n<ul>\n<li>The start time selected for the report generation.<\/li>\n<li><span style=\"font-weight: 400;\">If not provided, the system considers 7 days prior to the<\/span> <b><i>dateTo<\/i><\/b><i><span style=\"font-weight: 400;\"> value<\/span><\/i><span style=\"font-weight: 400;\">.<\/span><\/li>\n<li><span style=\"font-weight: 400;\">The following formats are accepted:<\/span>\n<ul>\n<li><code>&gt;yyyy-mm-dd<\/code><\/li>\n<li><code> &gt;yyyy-mm-ddThh:mm:ss.msZ<\/code><\/li>\n<\/ul>\n<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">dateTo<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Optional<\/span><\/td>\n<td>\n<ul>\n<li><span style=\"font-weight: 400;\">The end time selected for the report generation.<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">If not provided,\u00a0 the system considers 7 days after the <\/span><b><i>dateFrom <\/i><\/b><span style=\"font-weight: 400;\">value. If<\/span> <b><i>dateFrom<\/i><\/b><span style=\"font-weight: 400;\"> is also not provided then it is set to <\/span><b>Today<\/b> <span style=\"font-weight: 400;\">\u00a0and the timeframe considered is the previous 7 days from Today.<\/span><\/li>\n<li><span style=\"font-weight: 400;\">The following formats are accepted:<\/span>\n<ul>\n<li><code>&gt;yyyy-mm-dd<\/code><\/li>\n<li><code> &gt;yyyy-mm-ddThh:mm:ss.msZ<\/code><\/li>\n<\/ul>\n<\/li>\n<li>The maximum or allowed time range selection is 90 days.<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">includeTaskName<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">An array of strings representing task names for which the execution report is generated.\u00a0<\/span><\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">ConversationType<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The following conversation types for which data is available:<\/span><\/p>\n<ul>\n<li>Interactive<\/li>\n<li>Non-Interactive<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">ConversationStatus<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The current conversation status, <\/span><b><i>Active<\/i><\/b><span style=\"font-weight: 400;\">, or <\/span><b><i>Closed<\/i><\/b><i>.<\/i><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">AggregationType<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">One of the following report aggregation types:<\/span><\/p>\n<ul>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><i><span style=\"font-weight: 400;\">Daily<\/span><\/i><span style=\"font-weight: 400;\">: Generates daily reports. The allowed\/maximum data range selection is 30 days.<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><i><span style=\"font-weight: 400;\">Cumulative: <\/span><\/i><span style=\"font-weight: 400;\">Generates weekly, monthly, or custom date range reports.<\/span><\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">tags<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Emitted custom tags represented as an array of objects to filter the task execution data. <\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae8707d3b42a\" data-id=\"6ae8707d3b42a\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response_for_the_Post_Method\">Sample Response for the Post Method<\/span><\/h2>\n<p><span style=\"font-weight: 400;\">The response returns the API Response ID <\/span><span style=\"font-weight: 400;\">&#8220;<strong><i>_id<\/i><\/strong>&#8220;<\/span><span style=\"font-weight: 400;\"> (as highlighted in the sample payload below). Please use this value as a query parameter in the GET request. <\/span><\/p>\n<pre class=\"code-limit-200px\">{\r\n   \"status\": \"IN_PROGRESS\",\r\n   \"percentageComplete\": 0,\r\n   \"streamId\": \"st-9xxxxxx9-0xx9-5xxd-8xxa-7xxxxxxxxx56\",\r\n   \"jobType\": \"TASK_EXECUTION_CONTAINMENT_REPORT\",\r\n   \"action\": \"QUERY\",\r\n   \"countOfDockStatuses\": 1,\r\n   \"createdBy\": \"u-exxxxxx6-6xx1-5xx5-axx4-5xxxxxxxxxd2\",\r\n   \"expireAt\": \"2024-03-08T12:30:46.247Z\",\r\n   \"statusLogs\": [],\r\n   \"_id\": <b>\"ds-9xxxxxxd-0xx4-5xx8-axx8-axxxxxxxd083\"<\/b>,\r\n   \"lMod\": \"2024-03-08T12:15:46.000Z\",\r\n   \"createdOn\": \"2024-03-08T12:15:46.253Z\",\r\n   \"requestedTime\": \"2024-03-08T12:15:46.253Z\",\r\n   \"__v\": 0\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae8707d3b501\" data-id=\"6ae8707d3b501\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Response_Body_Parameters\">Response Body Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">status<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Status of the task execution. Successful execution of a task is marked as &#8216;<em>Success<\/em>&#8216;. Any failure in executing the task, including drop-off, is marked as a &#8216;<em>Failure.&#8217;<\/em><\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">percentageComplete<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The percentage of task execution completed.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">streamId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Can be accessed from the General Settings page of the Virtual Assistant.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">jobType<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Task <\/span><span style=\"font-weight: 400;\">Execution Containment Report.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">action<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Query action for task execution.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">countOfDockStatuses<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The number of dock statuses generated for the task execution-based report.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">createdBy<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The user ID of the end user who created the task execution-based report for a virtual assistant.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">expireAt<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Task execution expiry timestamp.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">statusLogs<\/span><\/td>\n<td><span style=\"font-weight: 400;\">An array of status logs for the task execution.<\/span><\/td>\n<\/tr>\n<tr>\n<td>_id<\/td>\n<td><span style=\"font-weight: 400;\">The API Response ID.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">lMod<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The last modified time for the task execution-based report.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">createdOn<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The task execution-based report creation date.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">requestedTime<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The time of request for the task execution-based report.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">__v<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The field is used for internal purposes. No specific significance.<\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae8707d3b82c\" data-id=\"6ae8707d3b82c\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div><\/div><\/div><\/div><\/div><\/div><\/section><section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\"><div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request_for_the_GET_Method\">Sample Request for the GET Method<\/span><\/h2>\n<p>The<em><strong> _id\u00a0 <\/strong><\/em>generated by the POST method, (for example, consider<strong><code>ds-9xxxxxxd-0xx4-5xx8-axx8-axxxxxxxd083<\/code><\/strong> shown in the sample POST response) should be used as the query parameter in the GET Method.<\/p>\n<pre class=\"code-limit-200px\">\r\ncurl --location\r\n'https:\/\/prod-bots.korebots.com\/api\/public\/bot\/st-8xxxxxxc-cxx2-5xxf-axx5-9xxxxxxxxxxb\/taskContainmentReport\/status\/<strong><code>ds-9xxxxxxd-0xx4-5xx8-axx8-axxxxxxxd083<\/code><\/strong>' \\\r\n--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}'\r\n<\/pre>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Response_for_the_GET_Method\">Sample Response for the GET Method<\/span><\/h2>\n<pre class=\"code-limit-300px\">{\r\n   \"tasksExecutionReport\": {\r\n   \"total\": 8,\r\n   \"data\": {\r\n   \"2024-03-07\": [\r\n       {\r\n         \"totalExecution\": 1,\r\n         \"totalSession\": 1,\r\n         \"selfServiceSessions\": 1,\r\n         \"dropOffSessions\": 0,\r\n         \"agentTransferSessions\": 0,\r\n         \"dateRange\": \"2024-03-07\",\r\n         \"taskType\": \"dialog\",\r\n         \"taskName\": \"Tags 1\",\r\n         \"Status\": \"success\",\r\n         \"selfServiceSessionsInPercentage\": 100,\r\n         \"dropOffSessionsInPercentage\": 0,\r\n         \"agentTransferSessionsInPercentage\": 0\r\n      },\r\n      {\r\n         \"totalExecution\": 2,\r\n         \"totalSession\": 2,\r\n         \"selfServiceSessions\": 0,\r\n         \"dropOffSessions\": 0,\r\n         \"agentTransferSessions\": 2,\r\n         \"dateRange\": \"2024-03-07\",\r\n         \"taskType\": \"dialog\",\r\n         \"taskName\": \"Agent Transfer\",\r\n         \"Status\": \"success\",\r\n         \"selfServiceSessionsInPercentage\": 0,\r\n         \"dropOffSessionsInPercentage\": 0,\r\n         \"agentTransferSessionsInPercentage\": 100\r\n       },\r\n       {\r\n         \"totalExecution\": 12,\r\n         \"totalSession\": 6,\r\n         \"selfServiceSessions\": 2,\r\n         \"dropOffSessions\": 2,\r\n         \"agentTransferSessions\": 2,\r\n         \"dateRange\": \"2024-03-07\",\r\n         \"taskType\": \"dialog\",\r\n         \"taskName\": \"Age Predictor\",\r\n         \"Status\": \"success\",\r\n         \"selfServiceSessionsInPercentage\": \"33.33\",\r\n         \"dropOffSessionsInPercentage\": \"33.33\",\r\n         \"agentTransferSessionsInPercentage\": \"33.33\"\r\n       },\r\n       {\r\n         \"totalExecution\": 1,\r\n         \"totalSession\": 1,\r\n         \"selfServiceSessions\": 1,\r\n         \"dropOffSessions\": 0,\r\n         \"agentTransferSessions\": 0,\r\n         \"dateRange\": \"2024-03-07\",\r\n         \"taskType\": \"dialog\",\r\n         \"taskName\": \"Tags 2\",\r\n         \"Status\": \"success\",\r\n         \"selfServiceSessionsInPercentage\": 100,\r\n         \"dropOffSessionsInPercentage\": 0,\r\n         \"agentTransferSessionsInPercentage\": 0\r\n       },\r\n       {\r\n         \"totalExecution\": 1,\r\n         \"totalSession\": 1,\r\n         \"selfServiceSessions\": 1,\r\n         \"dropOffSessions\": 0,\r\n         \"agentTransferSessions\": 0,\r\n         \"dateRange\": \"2024-03-07\",\r\n         \"taskType\": \"dialog\",\r\n         \"taskName\": \"Phone Number Verification\",\r\n         \"Status\": \"failtask\",\r\n         \"selfServiceSessionsInPercentage\": 100,\r\n         \"dropOffSessionsInPercentage\": 0,\r\n         \"agentTransferSessionsInPercentage\": 0\r\n       },\r\n       {\r\n         \"totalExecution\": 1,\r\n         \"totalSession\": 1,\r\n         \"selfServiceSessions\": 0,\r\n         \"dropOffSessions\": 1,\r\n         \"agentTransferSessions\": 0,\r\n         \"dateRange\": \"2024-03-07\",\r\n         \"taskType\": \"dialog\",\r\n         \"taskName\": \"Create Booking\",\r\n         \"Status\": \"failtask\",\r\n         \"selfServiceSessionsInPercentage\": 0,\r\n         \"dropOffSessionsInPercentage\": 100,\r\n         \"agentTransferSessionsInPercentage\": 0\r\n       },\r\n       {\r\n         \"totalExecution\": 2,\r\n         \"totalSession\": 2,\r\n         \"selfServiceSessions\": 0,\r\n         \"dropOffSessions\": 2,\r\n         \"agentTransferSessions\": 0,\r\n         \"dateRange\": \"2024-03-07\",\r\n         \"taskType\": \"dialog\",\r\n         \"taskName\": \"Age Predictor\",\r\n         \"Status\": \"failtask\",\r\n         \"selfServiceSessionsInPercentage\": 0,\r\n         \"dropOffSessionsInPercentage\": 100,\r\n         \"agentTransferSessionsInPercentage\": 0\r\n       },\r\n       {\r\n         \"totalExecution\": 1,\r\n         \"totalSession\": 1,\r\n         \"selfServiceSessions\": 1,\r\n         \"dropOffSessions\": 0,\r\n         \"agentTransferSessions\": 0,\r\n         \"dateRange\": \"2024-03-07\",\r\n         \"taskType\": \"dialog\",\r\n         \"taskName\": \"Currency\",\r\n         \"Status\": \"success\",\r\n         \"selfServiceSessionsInPercentage\": 100,\r\n         \"dropOffSessionsInPercentage\": 0,\r\n         \"agentTransferSessionsInPercentage\": 0\r\n        }\r\n      ]\r\n    }\r\n  },\r\n  \"status\": \"SUCCESS\"\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Response_Body_Parameters-2\">Response Body Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">totalExecution<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The overall count of the successful or failed tasks executed for a conversation session.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">totalSession<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Total number of conversation sessions during which the specified task is executed.\u00a0\u00a0<\/span><\/p>\n<p><span style=\"font-weight: 400;\">If a task is executed more than once within a single conversation session and yields different results, the session will be counted twice. For instance, if Task 1 is performed twice in the same conversation session, with one execution being successful and the other failing, this session will be counted under both the Success and Failure categories for Task 1.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">selfServiceSessions<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Total number of conversation sessions that are marked as Self-service during which the specified task is executed (Success or Failure).<\/span><\/p>\n<p>Self-service sessions refer to the conversations that the virtual assistant contains.<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">dropOffSessions<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Total number of conversation sessions that are marked as Drop-off during which the specified task is executed (Success or Failure).<\/span><\/p>\n<p><span style=\"font-weight: 400;\">A session is classified as <\/span><i><span style=\"font-weight: 400;\">Drop-off<\/span><\/i> <span style=\"font-weight: 400;\">when the user abandons the conversation in one of the following scenarios:<\/span><\/p>\n<ul>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">Leaves the conversation abruptly without completing the task.<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">Leaves the conversation after the task resulted in a failure.<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">The last utterance of the user does not detect any intent.<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">The virtual assistant stops responding due to any reason.<\/span><\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">agentTransferSessions<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The total number of conversation sessions marked as Agent Transfer during which the specified task is executed (Success or Failure).<\/span><\/p>\n<p><span style=\"font-weight: 400;\">A session is classified as an<\/span><i><span style=\"font-weight: 400;\"> Agent Transfer<\/span><\/i><span style=\"font-weight: 400;\"> if the conversation leads to an agent transfer in a session.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">dateRange<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The date range based on the selected <\/span><span style=\"font-weight: 400;\">\u201c<\/span><em><span style=\"font-weight: 400;\">dateFrom<\/span><\/em><span style=\"font-weight: 400;\">\u201d and \u201c<\/span><em><span style=\"font-weight: 400;\">dateTo<\/span><\/em><span style=\"font-weight: 400;\">\u201d values.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">taskType<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The type of task executed for a conversation session. The task executed can be a Dialog, Alert task, FAQ.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">taskName<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Name of the task executed, including Dialog Tasks, Alert Tasks, and FAQs.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">Status<\/span><\/td>\n<td><span style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Tasks that are successfully executed are marked as &#8216;Success&#8217;. Unsuccessful tasks, including drop-off, are marked as \u2018Failure\u2019.<\/span><\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">selfServiceSessionsInPercentage<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The percentage of sessions that are classified as <\/span><i><span style=\"font-weight: 400;\">Self-Service<\/span><\/i><span style=\"font-weight: 400;\"> out of the total number of sessions that are displayed for a task status.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">dropOffSessionsInPercentage<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The percentage of sessions that are classified as <\/span><i><span style=\"font-weight: 400;\">drop-off<\/span><\/i><span style=\"font-weight: 400;\"> out of the total number of sessions that are displayed for a task status.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">agentTransferSessionsInPercentage<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The percentage of sessions that are classified as Agent Hand-off or transfer out of the total number of sessions that are displayed for a task status.<\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"This task-wise Containment Report offers a comparative analysis of the impact of task executions on overall containment. It breaks down task-wise successes and failures by containment type, including Drop-off, Self-service, and Agent Hand-off, providing a detailed overview for better understanding and decision-making. Method POST and GET Endpoint It\u2019s a combination of POST and GET methods....","protected":false},"author":21,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-61448","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/61448","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/21"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=61448"}],"version-history":[{"count":28,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/61448\/revisions"}],"predecessor-version":[{"id":61603,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/61448\/revisions\/61603"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=61448"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=61448"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=61448"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}